Skip to content

getQuoteMaterial

READ

Get quote material.

POST /api/v1/sales/getQuoteMaterial
curl -X POST '<your-host>/api/v1/sales/getQuoteMaterial' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "materialId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "description": "string",
  "id": "string",
  "itemId": "string",
  "itemType": "string",
  "kit": true,
  "methodType": "Purchase to Order",
  "order": 0,
  "productionQuantity": 0,
  "quantity": 0,
  "quoteId": "string",
  "quoteLineId": "string",
  "quoteMakeMethodId": "string",
  "quoteMaterialMakeMethodId": "string",
  "quoteOperationId": "string",
  "scrapQuantity": 0,
  "storageUnitId": "string",
  "tags": [
    "string"
  ],
  "unitCost": 0,
  "unitCostSource": "string",
  "unitOfMeasureCode": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "version": 0
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "materialId": {
      "type": "string"
    }
  },
  "required": [
    "materialId"
  ]
}